Subject: KSA Hiring: Sultan Binafif
From: Jotform <[email-masked]>
To: [email-masked], [email-masked], [email-masked]
Date: Fri, 4 Nov 2022 10:57:28 -0400

KSA Customer Service Recruitment

| |

Name | Sultan Binafif
Email | [email-masked]
Phone Number | 0541302447
Are you available on Whatsapp on the Above number? | Yes
If you are selected how soon can you join? | Immediately
As we are still in the process of setting up an office in KSA, while we do that we may be looking to hire initial set of team members as Contractors/Consultants/Freelancers and not as regular employees. Are you open to working as a Freelancer with us? | Yes
How much monthly remuneration/compensation do you expect to receive if you have to work with us? (Put the amount in SAR). | I don’t have a number in mind at this time, but I’d love to keep discussing the role so that we both have a better understanding of what would be fair compensation based on my skills and experience.
Do you have a computer at home that you can use for work, and dedicate it for work only, with minimum config like i5 Processor, 8 GB RAM etc. | Yes, I have a computer I can dedicate exclusively for work
Do you have an environment completely free of any disturbance to work at home? | Yes
We work in a 24x7 Shift, which means based on business needs your shifts can be on any time of the day, including but not limited to night, evening, morning, afternoon. Usually you would not be able to select any shifts, and they will be assigned to you by the business. The off days are also not fixed, and may not be on Friday. Are you comfortable working in such environment? | Yes
Since we service our clients 24x7, including on public holidays such as Eid, National Day etc., based on the shift schedule you may have to work on these days. You will get paid Overtime as per local laws for working on these days. Are you comfortable working on Holidays. | Yes
This job has very strict productivity targets on how many chats/emails/messages have to be answered by each person in each day. Working remotely we measure performance and attendance based on work done. Would you be able to work in a high pressure environment? | Yes
Which City do you live in? | Jeddah

| |
| You can edit this submission and view all your submissions easily. |